#ifndef APPLE_H
#define APPLE_H

#include <esp_log.h>
#include <stdio.h>
#include <time.h>
#include <onewire.h>
#include <ds18b20.h>  // Die Header-Datei mit DS18B20-Funktionen
#include <task.h>
#include <esp_wifi.h>
#include <FreeRTOSConfig.h>


struct appledata{
    uint8_t mac[6];
    float temp;
    float battaryVoltage;
    int upTime;
};

float getTemp();
int getUpTime();
void getmac(uint8_t *buf);


#endif